package com.gic.haoban.manage.web.vo;

import org.springframework.util.StringUtils;

import java.io.Serializable;
import java.util.Date;

public class WxEnterpriseVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String wxEnterpriseId;

    private String permanentCode;
    private String corpid ;
    private String corpName;

    private String corpType;

    private String corpSquareLogoUrl;

    private String corpUserMax;

    private String corpFullName;

    private String subjectType;

    private Date verifiedEndTime;

    private String corpWxqrcode;

    private String corpScale;

    private String corpIndustry;

    private String corpSubIndustry;

    private String location;

    private String authInfo;

    private String agent;

    private String agentid;

    private String appid;

    private String name;

    private String squareLogoUrl;

    private String roundLogoUrl;

    private Integer level;

    private Integer bindFlag;

    private Integer statusFlag;
    
    private Integer contactFlag;
    
    private String wxSecretKey;

    private String memberSecret;
    
    private String contactSecret;
    
    private Date wxSecretKeyLastTime;
    
    private Date contactSecretLastTime;

    private Date memberSecretLastTime;

    private Integer storeTotal;

    private Date createTime;

    private Date updateTime;
    //小程序版本
    private String smallVersion;

    /**
     * 是否同意授权转换external_userid，1:是
     */
    private Integer agreeExternalUseridFlag;
    /**
     * 是否同意授权转换external_userid时间
     */
    private Date agreeExternalUseridTime;

    /**
     * '转换外部联系人状态：0:未转换；1:转换成功；2:转换中；3:转换失败'
     */
    private Integer externalFlag;
    /**
     * 转换wx_userid状态：0:未转换；1:转换成功；2:转换中；3:转换失败
     */
    private Integer useridFlag;
    private Integer autoActiveFlag;

    private String enterpriseId;
    private Integer wxSecurityType ;
    private String wxCorpid ;
    private String openCorpid ;
    
    public Integer getWxSecurityType() {
        return wxSecurityType;
    }

    public void setWxSecurityType(Integer wxSecurityType) {
        this.wxSecurityType = wxSecurityType;
    }

    public String getWxCorpid() {
        return wxCorpid;
    }

    public String getOpenCorpid() {
        return openCorpid;
    }

    public void setWxCorpid(String wxCorpid) {
        this.wxCorpid = wxCorpid;
    }

    public void setOpenCorpid(String openCorpid) {
        this.openCorpid = openCorpid;
    }

    public String getMemberSecret() {
        return memberSecret;
    }

    public void setMemberSecret(String memberSecret) {
        this.memberSecret = memberSecret;
    }

    public String getSmallVersion() {
		return smallVersion;
	}

	public void setSmallVersion(String smallVersion) {
		this.smallVersion = smallVersion;
	}

	public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getPermanentCode() {
        return permanentCode;
    }

    public void setPermanentCode(String permanentCode) {
        this.permanentCode = permanentCode == null ? null : permanentCode.trim();
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName == null ? null : corpName.trim();
    }

    public String getCorpType() {
        return corpType;
    }

    public void setCorpType(String corpType) {
        this.corpType = corpType == null ? null : corpType.trim();
    }

    public String getCorpSquareLogoUrl() {
        return corpSquareLogoUrl;
    }

    public void setCorpSquareLogoUrl(String corpSquareLogoUrl) {
        this.corpSquareLogoUrl = corpSquareLogoUrl == null ? null : corpSquareLogoUrl.trim();
    }

    public String getCorpUserMax() {
        return corpUserMax;
    }

    public void setCorpUserMax(String corpUserMax) {
        this.corpUserMax = corpUserMax == null ? null : corpUserMax.trim();
    }

    public String getCorpFullName() {
        return corpFullName;
    }

    public void setCorpFullName(String corpFullName) {
        this.corpFullName = corpFullName == null ? null : corpFullName.trim();
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType == null ? null : subjectType.trim();
    }

    public Date getVerifiedEndTime() {
        return verifiedEndTime;
    }

    public void setVerifiedEndTime(Date verifiedEndTime) {
        this.verifiedEndTime = verifiedEndTime;
    }

    public String getCorpWxqrcode() {
        return corpWxqrcode;
    }

    public void setCorpWxqrcode(String corpWxqrcode) {
        this.corpWxqrcode = corpWxqrcode == null ? null : corpWxqrcode.trim();
    }

    public String getCorpScale() {
        return corpScale;
    }

    public void setCorpScale(String corpScale) {
        this.corpScale = corpScale == null ? null : corpScale.trim();
    }

    public String getCorpIndustry() {
        return corpIndustry;
    }

    public void setCorpIndustry(String corpIndustry) {
        this.corpIndustry = corpIndustry == null ? null : corpIndustry.trim();
    }

    public String getCorpSubIndustry() {
        return corpSubIndustry;
    }

    public void setCorpSubIndustry(String corpSubIndustry) {
        this.corpSubIndustry = corpSubIndustry == null ? null : corpSubIndustry.trim();
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location == null ? null : location.trim();
    }

    public String getAuthInfo() {
        return authInfo;
    }

    public void setAuthInfo(String authInfo) {
        this.authInfo = authInfo == null ? null : authInfo.trim();
    }

    public String getAgent() {
        return agent;
    }

    public void setAgent(String agent) {
        this.agent = agent == null ? null : agent.trim();
    }

    public String getAgentid() {
        return agentid;
    }

    public void setAgentid(String agentid) {
        this.agentid = agentid == null ? null : agentid.trim();
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid == null ? null : appid.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getSquareLogoUrl() {
        return squareLogoUrl;
    }

    public void setSquareLogoUrl(String squareLogoUrl) {
        this.squareLogoUrl = squareLogoUrl == null ? null : squareLogoUrl.trim();
    }

    public String getRoundLogoUrl() {
        return roundLogoUrl;
    }

    public void setRoundLogoUrl(String roundLogoUrl) {
        this.roundLogoUrl = roundLogoUrl == null ? null : roundLogoUrl.trim();
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getBindFlag() {
        return bindFlag;
    }

    public void setBindFlag(Integer bindFlag) {
        this.bindFlag = bindFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public Integer getContactFlag() {
		return contactFlag;
	}

	public void setContactFlag(Integer contactFlag) {
		this.contactFlag = contactFlag;
	}

	public String getWxSecretKey() {
		return wxSecretKey;
	}

	public void setWxSecretKey(String wxSecretKey) {
		this.wxSecretKey = wxSecretKey;
	}

	public String getContactSecret() {
		return contactSecret;
	}

	public void setContactSecret(String contactSecret) {
		this.contactSecret = contactSecret;
	}

	public Date getWxSecretKeyLastTime() {
		return wxSecretKeyLastTime;
	}

	public void setWxSecretKeyLastTime(Date wxSecretKeyLastTime) {
		this.wxSecretKeyLastTime = wxSecretKeyLastTime;
	}

	public Date getContactSecretLastTime() {
		return contactSecretLastTime;
	}

	public void setContactSecretLastTime(Date contactSecretLastTime) {
		this.contactSecretLastTime = contactSecretLastTime;
	}

	public Date getMemberSecretLastTime() {
		return memberSecretLastTime;
	}

	public void setMemberSecretLastTime(Date memberSecretLastTime) {
		this.memberSecretLastTime = memberSecretLastTime;
	}

	public Boolean getWxSecretKeyFlag() {
		return !StringUtils.isEmpty(this.wxSecretKey);
	}

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public Integer getStoreTotal() {
        return storeTotal;
    }

    public void setStoreTotal(Integer storeTotal) {
        this.storeTotal = storeTotal;
    }

    public Integer getAgreeExternalUseridFlag() {
        return agreeExternalUseridFlag;
    }

    public void setAgreeExternalUseridFlag(Integer agreeExternalUseridFlag) {
        this.agreeExternalUseridFlag = agreeExternalUseridFlag;
    }

    public Date getAgreeExternalUseridTime() {
        return agreeExternalUseridTime;
    }

    public void setAgreeExternalUseridTime(Date agreeExternalUseridTime) {
        this.agreeExternalUseridTime = agreeExternalUseridTime;
    }

    public Integer getExternalFlag() {
        return externalFlag;
    }

    public void setExternalFlag(Integer externalFlag) {
        this.externalFlag = externalFlag;
    }

    public Integer getUseridFlag() {
        return useridFlag;
    }

    public void setUseridFlag(Integer useridFlag) {
        this.useridFlag = useridFlag;
    }

    public Integer getAutoActiveFlag() {
        return autoActiveFlag;
    }

    public void setAutoActiveFlag(Integer autoActiveFlag) {
        this.autoActiveFlag = autoActiveFlag;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
